Subject: [magma] MAGMA Minutes for IETF 59

From: Isidor Kouvelas <[email-masked]>
Date: Mon, 08 Mar 2004 23:11:23 -0800

All,

Here are the unedited minutes from the meeting. Please submit
clarifications, comments, or corrections to Brian and myself by
Friday. Thanks to Dave for taking the minutes.

Isidor

I missed recording some things while I was at the mike, but here's what
I got...

> Multicast & Anycast Group Membership WG (magma)
> 
> Tuesday, March 2 at 1415-1515
> ==============================
> 
> CHAIRS: Isidor Kouvelas <[email-masked]>
> 	Brian Haberman <[email-masked]>
> 
> AGENDA:
> 
>      1. Intro & Agenda Bashing                chairs           5
minutes
>      2. Document Status                       Haberman        10
minutes

router disc newly picked up from IDMR

msfapi is now an RFC

MGMD MIB updated, will be presented today

>           - draft-vida-mld-v2-08.txt

MLDv2 is at RFC editor queue

>           - draft-ietf-magma-snoop-10.txt

in RFC queue but blocked on refs (MRD, proxy)
    authors want to update text to make refs informative

?: question about how to handle multiple routers on different switch
ports
    will send a note to the authors with suggested text
fenner: if not simple wording clarification, it will get kicked back to
IESG

toerless: what is target status?
haberman: informational

>           - draft-ietf-magma-igmpv3-and-routing-05.txt

in RFC queue but blocked on normative refs

>           - draft-ietf-magma-igmp-proxy-04.txt

igmpv4-ssm-06
addresses comments from 2nd WG last call
ready to advance

mrdssm-03
to be obsoleted by draft-holbrook-ssm-scoping-00
not feasible anyway since MRD no longer allows options

msnip-04
revision pending.  
will be simplified to use fixed SSM range per holbrook draft

>      3. Group Management MIB                  Chesterfield    10
minutes
>           - draft-ietf-magma-mgmd-mib-02.txt
>           - Goal: status update

clarified HostCacheStatus
added HostCacheUp
fixed various typos
interval timers range - what is the right range restriction?

thaler: not currently implementable since tables changed and OIDs
conflict
    with IGMP MIB

>      4. Multicast Router Discovery            Martin          10
minutes
>           - draft-ietf-magma-mrdisc-00.txt
>           - Goal: status update

went to IESG in June 2003, several issues were raised
v6/4 not treated equally
option format inconsistent with NDP
concern about use of NDP for v6
insufficient security section
use of All-Systems causes extra processing on uninterested nodes

other problems
TLV option format overkill for this application
easy DoS attack with old Terminate message

Changes in -00:
protocol agnostic
IGMP for v4, MLD (not NDP) for v6
removed TLV options
replaced with fixed Query Interval, Robustness fields
TTL/Hop Limit is consistently 1
defined All-Snoopers group

Terminate now triggers Solicitation rather than shutdown of forwarding
security statement identifies risks and points at SEND

after -00:
suggestion to add Link Local to draft name
specify encoding of Query Interval ala IGMP/MLD
validate that src addr is subnet-local for the interface
add SEND to informative ref
specify which type (informative) for type codes

daley: security issues - do you want to secure MLD query?

thaler: how do you prevent implosion of solicitations
martin: only switches send them, and there's a random delay

discussion of TLV options
kouvelas: want options, e.g. for MSNIP capable, etc
    capabilities of multicast router
thaler: either don't put TLV encoding in the spec or put some options
    in the spec so you can use and test it
daley: could just define pad option

>      5. Charter Update                        Kouvelas        10
minutes

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma